Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2
Interface ResourceHandler

All Known Subinterfaces:
  SubResourceHandler

All Known Implementing Classes:
  BeanDataSourceHandler, ContentResourceHandler, CustomDataSourceHandler, DataSourceHandler, DataTypeHandler, FileResourceHandler, FolderHandler, InputControlHandler, JdbcDataSourceHandler, JndiJdbcDataSourceHandler, ListOfValuesHandler, MondrianConnectionHandler, QueryHandler, ReportUnitHandler, RepositoryResourceHandler, UnknownResourceHandler, XmlaConnectionHandler

    public interface ResourceHandler

Version:
  $Id: ResourceHandler.java 9354 2007-08-06 14:47:57Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`void` | `delete(ResourceDescriptor descriptor, RepositoryServiceContext serviceContext)`
`ResourceDescriptor` | `describe(Resource resource, java.util.Map arguments, RepositoryServiceContext serviceContext)`
`void` | `getAttachments(Resource resource, java.util.Map arguments, ResourceDescriptor descriptor, ResultAttachments attachments, RepositoryServiceContext serviceContext)`
`java.lang.Class` | `getResourceType()`
`void` | `put(ServiceRequest request)`

Method Detail

### getResourceType

    java.lang.Class getResourceType()

### describe

    ResourceDescriptor describe(Resource resource,
                                java.util.Map arguments,
                                RepositoryServiceContext serviceContext)
                                throws WSException

  Throws:
    `WSException`

### getAttachments

    void getAttachments(Resource resource,
                        java.util.Map arguments,
                        ResourceDescriptor descriptor,
                        ResultAttachments attachments,
                        RepositoryServiceContext serviceContext)
                        throws WSException

  Throws:
    `WSException`

### put

    void put(ServiceRequest request)
             throws WSException

  Throws:
    `WSException`

### delete

    void delete(ResourceDescriptor descriptor,
                RepositoryServiceContext serviceContext)
                throws WSException

  Throws:
    `WSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.